Subject: (texinfo) @ref says something lisp/info.el do not respect by default

From: Marco Munari <[email-masked]>
Date: Sun, 24 Jan 2021 17:26:57 +0100

Hi Kim,

I'm writing in relation to  defcustom Info-hide-note-references t  in  lisp/info.el
a9efebd0ba1 (Kim 2002-11-01 306) (defcustom Info-hide-note-references t

because it's a bad default to proper info documentation

as said in  (texinfo) @ref  documentation

https://www.gnu.org/software/texinfo/manual/texinfo/html_node/_0040ref.html
   ,---------------------------------------------------------------------------
   | 6.6 @ref
   | @ref is nearly the same as @xref except that it does not generate a ‘See’
   | in the printed output, just the reference itself.
   | This makes it useful as the last part of a sentence.
   |
   | For example,
   | 
   | For more information, @pxref{This}, and @ref{That}.
   | produces in Info:
   | 
(*)| For more information, *note This::, and *note That::.
   | and in printed output:
   | 
   | For more information, see Section 1.1 [This], page 1, and Section 1.2 [That], page 2.
   `---------------------------------------------------------------------------

but with current  info.el  default in emacs shows

(*)| For more information, see [This]., and see [That].

(
A part that with only two examples (texinfo) @ref it's not very clear that
there are three cases:
@ref
@xref
@pxref
)

As I intended it, the second "see" should absolutely not be present,
Info-hide-note-references is already customize-able to nil(=compliant)
or hide(my preference), but the current default of  t  is(seem to me)
not at all as designed in texinfo,

for example python info documentation was plenty of misplaced
``See`` ... ``.`` (which is the reason I looked into the origin of the
problem) and found it: @ref should have not a processing for info that
add "See" as should while processing @xref, than the pxref is to
distinguish printed rendering.

I will not insist over this trivial change,
if ever you disagree you can also ignore the request

Cheers,
Marco Munari
-- 
x(t),y(t) = th(3t-34.5)*e^[-(3t-34.5)^2]/2-4.3+e^(-1.8/t^2)/(.8*atg(t-
3)+2)(t-1.8)-.3th(5t-42.5),(1.4e^[-(3t-34.5)^2]+1-sgn[|t-8.5|-.5]*1.5*
|sin(pi*t)|^[2e^(-(t-11.5)^2)+.5+e^(-(.6t-3.3)^2)])/(.5+t)+1  ; 0<t<14
diff --git a/lisp/info.el b/lisp/info.el
index 13c57bdcd1..dc663bf761 100644
--- a/lisp/info.el
+++ b/lisp/info.el
@@ -1,6 +1,6 @@
 ;; info.el --- Info package for Emacs  -*- lexical-binding:t -*-
 
-;; Copyright (C) 1985-1986, 1992-2020 Free Software Foundation, Inc.
+;; Copyright (C) 1985-1986, 1992-2021 Free Software Foundation, Inc.
 
 ;; Maintainer: [email-masked]
 ;; Keywords: help
@@ -303,7 +303,7 @@ Info-scroll-prefer-subnodes
   :type 'boolean
   :group 'info)
 
-(defcustom Info-hide-note-references t
+(defcustom Info-hide-note-references nil
   "If non-nil, hide the tag and section reference in *note and * menu items.
 If the value is t, the default, replace \"*note\" with \"see\".
 If the value is `hide', remove \"*note\" without replacing it with anything.